Create alias for sdi service

Jul 06, 2017 04:24 PM - Fabio Sinibaldi

Status: Closed Start date: Jul 06, 2017

Priority: High Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: Other Estimated time: 0.00 hour

Target version: SDI-nodes management   

Infrastructure: Production   

Description

Please, create an alias "sdi.d4science.org" for the VM sdi-d4s.d4science.org.

Certificate should be valid for this alias as well.

History

#1 - Jul 06, 2017 04:48 PM - Leonardo Candela

- Assignee changed from _InfraScience Systems Engineer to Pasquale Pagano

@pasquale.pagano@isti.cnr.it I'm wondering we should go for the proposed names or we should use a different approach. 

According to my understanding we created:

data.d4science.org to be the access point for all the data / datasets managed by D4Science

services.d4science.org to be access point for all the services managed by D4Science

From these two basic names the rest (specialization for data and services) should come either 

by using prefixes, e.g. sdi.services.d4science.org

by using "/" e.g. services.d4science.org/SDI

I would like to have an agreed and uniform strategy. Please, bear with my if this "agreement" is already there. I personally prefer the "/" based

approach. 

#2 - Jul 06, 2017 05:33 PM - Pasquale Pagano

Well, i think that we never adopted the services.d4science.org base url. The trend since a couple of months is to use names for the service as first

citizen, thus sdi.d4science.org will point to an HA proxy that will then use one of the available sdi instances. 

The glue is done via 'd4science.org'. Is it a problem? 

#3 - Jul 07, 2017 02:12 AM - Leonardo Candela

There is no technical issue yet I would like having some homogeneity in naming. Moreover, I'm realising that I might be confusing two concepts:

server naming with service base URLs. I'll make a try with another service we have, i.e. the catalogue:

catalogue service URL is https://services.d4science.org/catalogue

catalogue server name is ckan-d4s.d4science.org

We already faced some issues with such naming and now are relying on a resolver http://data.d4science.org/ctlg ... 

Dunno what is the plan with sdi, actually if sdi stands for Spatial Data Infrastructure I'm even more confused because (AFAIK) this concept is actually

a set of services ... 

#4 - Jul 07, 2017 10:20 AM - Fabio Sinibaldi

Hi Leo, the SDI Service is a gCube Service that offers REST API for the management of the SDI itself and for most common use cases involving SDI

resources exploitation. It is described here https://gcube.wiki.gcube-system.org/gcube/SDI-Service. 

#5 - Jul 07, 2017 12:24 PM - Andrea Dell'Amico

- Status changed from New to In Progress

- Assignee changed from Pasquale Pagano to _InfraScience Systems Engineer

- % Done changed from 0 to 20
#6 - Jul 07, 2017 12:26 PM - Andrea Dell'Amico

I just added the CNAME. As soon as it becomes visible, I'll reconfigure the node.

#7 - Jul 07, 2017 01:23 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed

- % Done changed from 20 to 100

Done. The updated certificate will be automatically issued in the next days.
